Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal
Class ThemeStylesheetDescription

    java.lang.Object
      org.jasig.portal.CoreStylesheetDescription
          org.jasig.portal.CoreXSLTStylesheetDescription
              org.jasig.portal.ThemeStylesheetDescription

    public class ThemeStylesheetDescription

extends CoreXSLTStylesheetDescription

Stylesheet description for stylesheets performing theme transformation

Version:
  $Revision: 1.9 $
Author:
  Peter Kharchenko

Nested Class Summary

Nested classes/interfaces inherited from class org.jasig.portal.CoreStylesheetDescription
`CoreStylesheetDescription.DescriptionDefaultValuePair`

Field Summary
`protected java.lang.String` | `customUPClassLocator`
`protected java.lang.String` | `deviceType`
`protected java.lang.String` | `mimeType`
`protected java.lang.String` | `sampleIconURI`
`protected java.lang.String` | `samplePictureURI`
`protected java.lang.String` | `serializerName`
`protected int` | `structureStylesheetId`

Fields inherited from class org.jasig.portal.CoreXSLTStylesheetDescription
`channelAttributeTable`

Fields inherited from class org.jasig.portal.CoreStylesheetDescription
`parameterTable, stylesheetDescriptionURI, stylesheetId, stylesheetName, stylesheetURI, stylesheetWordDescription`

Constructor Summary
`ThemeStylesheetDescription()`

Method Summary
`java.lang.String` | `getCustomUserPreferencesManagerClass()`
`java.lang.String` | `getDeviceType()`
`java.lang.String` | `getMimeType()`
`java.lang.String` | `getSampleIconURI()`
`java.lang.String` | `getSamplePictureURI()`
`java.lang.String` | `getSerializerName()`
`int` | `getStructureStylesheetId()`
`void` | `setCustomUserPreferencesManagerClass(java.lang.String classLocator)`
`void` | `setDeviceType(java.lang.String type)`
`void` | `setMimeType(java.lang.String type)`
`void` | `setSampleIconURI(java.lang.String uri)`
`void` | `setSamplePictureURI(java.lang.String uri)`
`void` | `setSerializerName(java.lang.String name)`
`void` | `setStructureStylesheetId(int ssid)`

Methods inherited from class org.jasig.portal.CoreXSLTStylesheetDescription
`addChannelAttribute, containsChannelAttribute, getChannelAttributeDefaultValue, getChannelAttributeNames, getChannelAttributeWordDescription, setChannelAttributeDefaultValue, setChannelAttributeWordDescription`

Methods inherited from class org.jasig.portal.CoreStylesheetDescription
`addStylesheetParameter, containsParameterName, getId, getStylesheetDescriptionURI, getStylesheetName, getStylesheetParameterDefaultValue, getStylesheetParameterNames, getStylesheetParameterWordDescription, getStylesheetURI, getStylesheetWordDescription, setId, setStylesheetDescriptionURI, setStylesheetName, setStylesheetParameterDefaultValue, setStylesheetParameterWordDescription, setStylesheetURI, setStylesheetWordDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### structureStylesheetId

    protected int structureStylesheetId

### mimeType

    protected java.lang.String mimeType

### samplePictureURI

    protected java.lang.String samplePictureURI

### sampleIconURI

    protected java.lang.String sampleIconURI

### deviceType

    protected java.lang.String deviceType

### serializerName

    protected java.lang.String serializerName

### customUPClassLocator

    protected java.lang.String customUPClassLocator

Constructor Detail

### ThemeStylesheetDescription

    public ThemeStylesheetDescription()

Method Detail

### getStructureStylesheetId

    public int getStructureStylesheetId()

### setStructureStylesheetId

    public void setStructureStylesheetId(int ssid)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String type)

### getDeviceType

    public java.lang.String getDeviceType()

### setDeviceType

    public void setDeviceType(java.lang.String type)

### getSamplePictureURI

    public java.lang.String getSamplePictureURI()

### setSamplePictureURI

    public void setSamplePictureURI(java.lang.String uri)

### getSampleIconURI

    public java.lang.String getSampleIconURI()

### setSampleIconURI

    public void setSampleIconURI(java.lang.String uri)

### getSerializerName

    public java.lang.String getSerializerName()

### setSerializerName

    public void setSerializerName(java.lang.String name)

### getCustomUserPreferencesManagerClass

    public java.lang.String getCustomUserPreferencesManagerClass()

### setCustomUserPreferencesManagerClass

    public void setCustomUserPreferencesManagerClass(java.lang.String classLocator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD